Get one listing of the lean set with its versions, its agents and its holder
curl --request GET \
--url https://api.investorlift.com/v3/listings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/listings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/listings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"listing": {
"listing_id": "0456ef9b02f5833f2935378bd89d13ef",
"property_id": "ab917c31f6a3c5e780813ab031a7d2e6",
"address": {
"line": "4426 N 85th St",
"city": "Scottsdale",
"zip": "85251",
"apn": "173-57-112"
},
"latitude": 33.501222,
"longitude": -111.898563,
"address_held_back": null,
"location_radius_m": null,
"distance_miles": null,
"status": "SOLD",
"status_detail": null,
"on_market": false,
"is_rental": false,
"listed_on": "2026-09-06",
"sold_on": "2026-09-11",
"off_market_on": null,
"status_updated_on": "2026-09-14",
"list_price": 739000,
"sold_price": 735000,
"price_high": 739000,
"days_on_market": 5,
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1552,
"lot_sqft": 10454,
"year_built": 1959,
"property_type": "SINGLE_FAMILY",
"mls_number": null,
"mls_name": null,
"brokerage_name": "Ashford Management Services",
"n_agents": 0,
"agent_ids": [],
"holder_org_ids": [
"AZ:L22357560"
],
"n_holder_orgs": 1,
"holder_from_registry": true
},
"versions": [
{
"listing_id": "0456ef9b02f5833f2935378bd89d13ef",
"version_no": 1,
"is_current": false,
"seen_from": "2026-09-09",
"seen_to": "2026-09-16",
"closed_by": "changed",
"status": "PENDING",
"status_basis": "category",
"status_detail": null,
"status_raw": "Pending",
"off_market_reason": null,
"is_rental": false,
"on_market": true,
"list_price": 739000,
"price_low": null,
"price_low_on": null,
"price_high": 739000,
"price_high_on": "2026-09-07",
"listed_on": "2026-09-06",
"status_updated_on": "2026-09-06",
"off_market_on": null,
"sold_on": null,
"sold_price": null,
"days_on_market": 0,
"mls_name": "Arizona Regional Multiple Listing Service (ARMLS)",
"mls_number": "7076675",
"brokerage_name": "West USA Realty",
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1552,
"lot_sqft": 10454,
"year_built": 1959,
"property_type": "SINGLE_FAMILY",
"property_subtype": null,
"n_agents": 1,
"modified_at": "2026-09-08T09:19:44.781Z"
},
{
"listing_id": "0456ef9b02f5833f2935378bd89d13ef",
"version_no": 2,
"is_current": true,
"seen_from": "2026-09-16",
"seen_to": null,
"closed_by": null,
"status": "SOLD",
"status_basis": "category",
"status_detail": null,
"status_raw": "Sold",
"off_market_reason": null,
"is_rental": false,
"on_market": false,
"list_price": 739000,
"price_low": null,
"price_low_on": null,
"price_high": 739000,
"price_high_on": "2026-09-07",
"listed_on": "2026-09-06",
"status_updated_on": "2026-09-14",
"off_market_on": null,
"sold_on": "2026-09-11",
"sold_price": 735000,
"days_on_market": 5,
"mls_name": null,
"mls_number": null,
"brokerage_name": "Ashford Management Services",
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1552,
"lot_sqft": 10454,
"year_built": 1959,
"property_type": "SINGLE_FAMILY",
"property_subtype": null,
"n_agents": 0,
"modified_at": "2026-09-15T07:06:02.909Z"
}
],
"agents": [
{
"agent_id": "AZ:agt:2f0c0e557be3",
"person_id": "person:84f12ec48d85",
"name": null,
"roles": "Listing Agent",
"is_team": false,
"brokerage_name": "West USA Realty",
"office_name": null,
"is_current": false
}
],
"holder": {
"org_ids": [
"AZ:L22357560"
],
"n_orgs": 1,
"from_registry": true,
"deed_date": "2017-12-13",
"doc_class": "ECONOMIC",
"price": 310000,
"basis": "deed"
}
},
"meta": {
"generated_at": "2026-09-23T02:19:31.525Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-09-22T13:41:32.949Z",
"published_at": "2026-09-23T01:02:16.717Z",
"run_id": 1790123752
}
]
}
}
}Lean set (/v3)
Get one listing of the lean set with its versions, its agents and its holder
Get one listing of the lean set with its versions, its agents and its holder.
GET
/
v3
/
listings
/
{id}
Get one listing of the lean set with its versions, its agents and its holder
curl --request GET \
--url https://api.investorlift.com/v3/listings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/listings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/listings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"listing": {
"listing_id": "0456ef9b02f5833f2935378bd89d13ef",
"property_id": "ab917c31f6a3c5e780813ab031a7d2e6",
"address": {
"line": "4426 N 85th St",
"city": "Scottsdale",
"zip": "85251",
"apn": "173-57-112"
},
"latitude": 33.501222,
"longitude": -111.898563,
"address_held_back": null,
"location_radius_m": null,
"distance_miles": null,
"status": "SOLD",
"status_detail": null,
"on_market": false,
"is_rental": false,
"listed_on": "2026-09-06",
"sold_on": "2026-09-11",
"off_market_on": null,
"status_updated_on": "2026-09-14",
"list_price": 739000,
"sold_price": 735000,
"price_high": 739000,
"days_on_market": 5,
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1552,
"lot_sqft": 10454,
"year_built": 1959,
"property_type": "SINGLE_FAMILY",
"mls_number": null,
"mls_name": null,
"brokerage_name": "Ashford Management Services",
"n_agents": 0,
"agent_ids": [],
"holder_org_ids": [
"AZ:L22357560"
],
"n_holder_orgs": 1,
"holder_from_registry": true
},
"versions": [
{
"listing_id": "0456ef9b02f5833f2935378bd89d13ef",
"version_no": 1,
"is_current": false,
"seen_from": "2026-09-09",
"seen_to": "2026-09-16",
"closed_by": "changed",
"status": "PENDING",
"status_basis": "category",
"status_detail": null,
"status_raw": "Pending",
"off_market_reason": null,
"is_rental": false,
"on_market": true,
"list_price": 739000,
"price_low": null,
"price_low_on": null,
"price_high": 739000,
"price_high_on": "2026-09-07",
"listed_on": "2026-09-06",
"status_updated_on": "2026-09-06",
"off_market_on": null,
"sold_on": null,
"sold_price": null,
"days_on_market": 0,
"mls_name": "Arizona Regional Multiple Listing Service (ARMLS)",
"mls_number": "7076675",
"brokerage_name": "West USA Realty",
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1552,
"lot_sqft": 10454,
"year_built": 1959,
"property_type": "SINGLE_FAMILY",
"property_subtype": null,
"n_agents": 1,
"modified_at": "2026-09-08T09:19:44.781Z"
},
{
"listing_id": "0456ef9b02f5833f2935378bd89d13ef",
"version_no": 2,
"is_current": true,
"seen_from": "2026-09-16",
"seen_to": null,
"closed_by": null,
"status": "SOLD",
"status_basis": "category",
"status_detail": null,
"status_raw": "Sold",
"off_market_reason": null,
"is_rental": false,
"on_market": false,
"list_price": 739000,
"price_low": null,
"price_low_on": null,
"price_high": 739000,
"price_high_on": "2026-09-07",
"listed_on": "2026-09-06",
"status_updated_on": "2026-09-14",
"off_market_on": null,
"sold_on": "2026-09-11",
"sold_price": 735000,
"days_on_market": 5,
"mls_name": null,
"mls_number": null,
"brokerage_name": "Ashford Management Services",
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1552,
"lot_sqft": 10454,
"year_built": 1959,
"property_type": "SINGLE_FAMILY",
"property_subtype": null,
"n_agents": 0,
"modified_at": "2026-09-15T07:06:02.909Z"
}
],
"agents": [
{
"agent_id": "AZ:agt:2f0c0e557be3",
"person_id": "person:84f12ec48d85",
"name": null,
"roles": "Listing Agent",
"is_team": false,
"brokerage_name": "West USA Realty",
"office_name": null,
"is_current": false
}
],
"holder": {
"org_ids": [
"AZ:L22357560"
],
"n_orgs": 1,
"from_registry": true,
"deed_date": "2017-12-13",
"doc_class": "ECONOMIC",
"price": 310000,
"basis": "deed"
}
},
"meta": {
"generated_at": "2026-09-23T02:19:31.525Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-09-22T13:41:32.949Z",
"published_at": "2026-09-23T01:02:16.717Z",
"run_id": 1790123752
}
]
}
}
}This route serves the lean set under
/v3/listings/{id}. See The lean dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The listing id, as a listing row or a listing version carries it.
Was this page helpful?